Yiiclipse 用于Yii Framework开发的Eclipse PDT插件

2016-05-15 tayuewuhen

用使用Eclipse 开发Yii的朋友们有福拉, 有国外的朋友已经发布了一个目前支持Yii 1.1.7版本的Eclipse PDT插件,整体试用还不错,对于使用Yii提高开发速度还是很有帮助.

 

Eclipse安装地址

 


更新地址:  http://yiiclipse.maziarz.org/updatesite/1.0/

 

1. 创建新的Yii 工程向导


Yiiclipse 用于Yii Framework开发的Eclipse PDT插件

 

File > New > Project > Yiiclipse > New Yii project

 

2. 配置Yii framework位置


Yiiclipse 用于Yii Framework开发的Eclipse PDT插件

 
 

 

应用程序初始化


下面的选项同样是可以用到的:

  • 无 - 一个家的应用
  • Hello world -一个简单的例子应用
  • Blog - 一个完整的例子
  • Hangman - 一个简单的游戏
  • Phonebook - 基于flex的应用使子

 

增加yii framework 支持到现有的PHP工程


在工程上面单击右键菜单 Configure > Toggle Yii support

Yiiclipse 用于Yii Framework开发的Eclipse PDT插件

在操作成功之后切换到Yii支持你应该可以看到Yii的Logo在你的工程名称右边.

 

导航

 

Yiiclipse 用于Yii Framework开发的Eclipse PDT插件

 

3). ListView -> itemView 导航 - 一旦单击在超链接视图"_view.php" 文件将会被打开
Yiiclipse 用于Yii Framework开发的Eclipse PDT插件

 

 

Yiiclipse 用于Yii Framework开发的Eclipse PDT插件

 
 
 
Yiiclipse 用于Yii Framework开发的Eclipse PDT插件



请尊重作者的劳动成果,文章必须以超链接形式标明原始出处和作者及版权声明.

作者: IT快讯 | 出自: IT快讯网 | 原文地址: http://www.itkuaixun.com/news/article/197.html


用户评论
开源开发学习小组列表